ZevCloud
Dashboard

API Reference

Domains API

Add Custom Domain

POST /v1/services/:serviceId/domains
{
  "domain": "myapp.com"
}

Response:

{
  "id": "uuid",
  "domain": "myapp.com",
  "verificationStatus": "pending",
  "verificationToken": "zevcloud-verify-abc123...",
  "dnsInstructions": {
    "cname": { "name": "@", "value": "proxy.zevcloud.app" },
    "txt": { "name": "_zevcloud-verify", "value": "zevcloud-verify-abc123..." },
    "a": { "name": "@", "value": "162.55.133.205" }
  }
}

Verify Domain

POST /v1/services/:serviceId/domains/:domainId/verify

Checks DNS records and activates the domain if verified.

List Domains

GET /v1/services/:serviceId/domains

Delete Domain

DELETE /v1/services/:serviceId/domains/:domainId

Updated at, Monday, October 26, 2026